---
network_config:
- type: interface
  name: nic1
  use_dhcp: false

- type: interface
  name: nic2
  use_dhcp: true

- type: linux_bond
  name: bond_api
  use_dhcp: false
  bonding_options: "mode=active-backup"
  dns_servers: ['192.168.122.80']
  members:
    - type: interface
      name: nic3
      primary: true
    - type: interface
      name: nic4
  addresses:
  - ip_netmask: 192.168.122.100/24
  routes:
  - default: true
    next_hop: 192.168.122.1

- type: vlan
  vlan_id: 132
  device: bond_api
  addresses:
  - ip_netmask: 172.17.0.100/24

- type: vlan
  vlan_id: 133
  device: bond_api
  addresses:
  - ip_netmask: 172.18.0.100/24

- type: ovs_user_bridge
  name: br-link0
  use_dhcp: false
  ovs_extra: "set port br-link0 tag=134"
  addresses:
  - ip_netmask: 172.19.0.100/24
  members:
  - type: ovs_dpdk_bond
    name: dpdkbond0
    mtu: 9000
    rx_queue: 1
    ovs_extra: "set port dpdkbond0 bond_mode=balance-slb"
    members:
      - type: ovs_dpdk_port
        name: dpdk0
        members:
          - type: interface
            name: nic7
      - type: ovs_dpdk_port
        name: dpdk1
        members:
          - type: interface
            name: nic8

- type: ovs_user_bridge
  name: br-dpdk0
  use_dhcp: false
  mtu: 9000
  members:
    - type: ovs_dpdk_port
      rx_queue: 1
      name: dpdk2
      members:
        - type: interface
          name: nic5

- type: ovs_user_bridge
  name: br-dpdk1
  use_dhcp: false
  mtu: 9000
  members:
    - type: ovs_dpdk_port
      rx_queue: 1
      name: dpdk3
      members:
        - type: interface
          name: nic6

- type: sriov_pf
  name: nic9
  mtu: 9000
  numvfs: 5
  use_dhcp: false
  defroute: false
  nm_controlled: true
  hotplug: true
  promisc: false

- type: sriov_pf
  name: nic10
  mtu: 9000
  numvfs: 5
  use_dhcp: false
  defroute: false
  nm_controlled: true
  hotplug: true
  promisc: false

- type: sriov_pf
  name: nic11
  mtu: 9000
  numvfs: 5
  use_dhcp: false
  defroute: false
  nm_controlled: true
  hotplug: true
  promisc: false

- type: sriov_pf
  name: nic12
  mtu: 9000
  numvfs: 5
  use_dhcp: false
  defroute: false
  nm_controlled: true
  hotplug: true
  promisc: false
